Bug 1401880 (CVE-2016-9809) - CVE-2016-9809 gstreamer-plugins-bad-free: Off-by-one read in gst_h264_parse_set_caps
Summary: CVE-2016-9809 gstreamer-plugins-bad-free: Off-by-one read in gst_h264_parse_s...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9809
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1401947 1401945 1401946 1401948 1408423 1408424 1408429 1408430
Blocks: 1401937
TreeView+ depends on / blocked
 
Reported: 2016-12-06 10:41 UTC by Adam Mariš
Modified: 2019-09-29 14:01 UTC (History)
28 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds heap read flaw was found in GStreamer's H.264 parser. A remote attacker could use this flaw to cause an application using GStreamer to crash.
Clone Of:
Environment:
Last Closed: 2017-01-16 08:36:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0018 normal SHIPPED_LIVE Moderate: gstreamer-plugins-bad-free security update 2017-01-05 14:15:14 UTC
Red Hat Product Errata RHSA-2017:0021 normal SHIPPED_LIVE Moderate: gstreamer1-plugins-bad-free security update 2017-01-05 15:05:27 UTC

Description Adam Mariš 2016-12-06 10:41:19 UTC
An off-by-one heap read was found in gst_h264_parse_set_caps triggered by creafted mkv/h264 file.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=774896

CVE assignment:

http://seclists.org/oss-sec/2016/q4/589

Comment 1 Adam Mariš 2016-12-06 12:40:07 UTC
Created mingw-gstreamer1-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1401948]

Comment 2 Adam Mariš 2016-12-06 12:40:24 UTC
Created gstreamer1-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1401946]

Comment 3 Adam Mariš 2016-12-06 12:40:39 UTC
Created gstreamer-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1401945]

Comment 4 Adam Mariš 2016-12-06 12:40:56 UTC
Created mingw-gstreamer-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1401947]

Comment 9 errata-xmlrpc 2017-01-05 09:16:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0018 https://rhn.redhat.com/errata/RHSA-2017-0018.html

Comment 10 errata-xmlrpc 2017-01-05 10:06:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0021 https://rhn.redhat.com/errata/RHSA-2017-0021.html


Note You need to log in before you can comment on or make changes to this bug.